Bug 1021148 - [abrt] mirall-1.4.0-2.fc19: QString::free: Process /usr/bin/owncloud was killed by signal 6 (SIGABRT)
[abrt] mirall-1.4.0-2.fc19: QString::free: Process /usr/bin/owncloud was kill...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mirall (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Joseph Marrero
Fedora Extras Quality Assurance
abrt_hash:cbbbaadd2c2c73045773a8c92fd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-19 16:59 EDT by Marco Nolden
Modified: 2013-11-17 22:29 EST (History)
2 users (show)

See Also:
Fixed In Version: owncloud-csync-0.90.4-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-06 02:31:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (42.62 KB, text/plain)
2013-10-19 16:59 EDT, Marco Nolden
no flags Details
File: cgroup (141 bytes, text/plain)
2013-10-19 16:59 EDT, Marco Nolden
no flags Details
File: core_backtrace (3.38 KB, text/plain)
2013-10-19 16:59 EDT, Marco Nolden
no flags Details
File: dso_list (14.61 KB, text/plain)
2013-10-19 16:59 EDT, Marco Nolden
no flags Details
File: environ (2.27 KB, text/plain)
2013-10-19 16:59 EDT, Marco Nolden
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-19 16:59 EDT, Marco Nolden
no flags Details
File: maps (75.24 KB, text/plain)
2013-10-19 16:59 EDT, Marco Nolden
no flags Details
File: open_fds (1.29 KB, text/plain)
2013-10-19 16:59 EDT, Marco Nolden
no flags Details
File: proc_pid_status (937 bytes, text/plain)
2013-10-19 16:59 EDT, Marco Nolden
no flags Details
File: var_log_messages (1.31 KB, text/plain)
2013-10-19 17:00 EDT, Marco Nolden
no flags Details

  None (edit)
Description Marco Nolden 2013-10-19 16:59:28 EDT
Version-Release number of selected component:
mirall-1.4.0-2.fc19

Additional info:
reporter:       libreport-2.1.8
backtrace_rating: 4
cmdline:        /usr/bin/owncloud
crash_function: QString::free
executable:     /usr/bin/owncloud
kernel:         3.11.3-201.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #5 QString::free at tools/qstring.cpp:1235
 #6 ~QString at ../../src/corelib/tools/qstring.h:880
 #7 QDBusMessagePrivate::~QDBusMessagePrivate at qdbusmessage.cpp:72
 #8 QDBusMessage::~QDBusMessage at qdbusmessage.cpp:537
 #9 ~QDBusCallDeliveryEvent at qdbusintegrator_p.h:93
 #10 QDBusCallDeliveryEvent::~QDBusCallDeliveryEvent at qdbusintegrator_p.h:93
 #11 QCoreApplicationPrivate::sendPostedEvents at kernel/qcoreapplication.cpp:1589
 #12 QCoreApplication::sendPostedEvents at kernel/qcoreapplication.cpp:1466
 #13 sendPostedEvents at kernel/qcoreapplication.h:236
 #14 postEventSourceDispatch at kernel/qeventdispatcher_glib.cpp:280
Comment 1 Marco Nolden 2013-10-19 16:59:32 EDT
Created attachment 814082 [details]
File: backtrace
Comment 2 Marco Nolden 2013-10-19 16:59:35 EDT
Created attachment 814083 [details]
File: cgroup
Comment 3 Marco Nolden 2013-10-19 16:59:41 EDT
Created attachment 814084 [details]
File: core_backtrace
Comment 4 Marco Nolden 2013-10-19 16:59:44 EDT
Created attachment 814085 [details]
File: dso_list
Comment 5 Marco Nolden 2013-10-19 16:59:47 EDT
Created attachment 814086 [details]
File: environ
Comment 6 Marco Nolden 2013-10-19 16:59:50 EDT
Created attachment 814087 [details]
File: limits
Comment 7 Marco Nolden 2013-10-19 16:59:53 EDT
Created attachment 814088 [details]
File: maps
Comment 8 Marco Nolden 2013-10-19 16:59:56 EDT
Created attachment 814089 [details]
File: open_fds
Comment 9 Marco Nolden 2013-10-19 16:59:58 EDT
Created attachment 814090 [details]
File: proc_pid_status
Comment 10 Marco Nolden 2013-10-19 17:00:04 EDT
Created attachment 814091 [details]
File: var_log_messages
Comment 11 Fedora Update System 2013-10-26 22:01:11 EDT
owncloud-csync-0.90.4-1.fc19,mirall-1.4.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/owncloud-csync-0.90.4-1.fc19,mirall-1.4.2-1.fc19
Comment 12 Fedora Update System 2013-10-26 22:02:05 EDT
owncloud-csync-0.90.4-1.fc18,mirall-1.4.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/owncloud-csync-0.90.4-1.fc18,mirall-1.4.2-1.fc18
Comment 13 Fedora Update System 2013-10-26 22:02:50 EDT
owncloud-csync-0.90.4-1.fc20,mirall-1.4.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/owncloud-csync-0.90.4-1.fc20,mirall-1.4.2-1.fc20
Comment 14 Fedora Update System 2013-10-27 14:10:50 EDT
Package owncloud-csync-0.90.4-1.fc20, mirall-1.4.2-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing owncloud-csync-0.90.4-1.fc20 mirall-1.4.2-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20086/owncloud-csync-0.90.4-1.fc20,mirall-1.4.2-1.fc20
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2013-11-06 02:31:51 EST
owncloud-csync-0.90.4-1.fc19, mirall-1.4.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2013-11-06 02:35:45 EST
owncloud-csync-0.90.4-1.fc18, mirall-1.4.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2013-11-10 02:29:15 EST
owncloud-csync-0.90.4-1.fc20, mirall-1.4.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Samuel Sieb 2013-11-17 22:29:41 EST
I just hit this with mirall-1.4.2-3.fc19.x86_64
(At least abrt pointed me to this one.)

I happened to be running it in a console and there was this output:
*** Error in `owncloud': invalid fastbin entry (free): 0x0000000001a151f0 ***
======= Backtrace: =========
/lib64/libc.so.6[0x3de907d0b8]
/lib64/libQtCore.so.4(_ZN7QString4freeEPNS_4DataE+0x98)[0x3df6cc31f8]
/lib64/libQtDBus.so.4[0x3df402e0d9]
/lib64/libQtDBus.so.4(_ZN12QDBusMessageD1Ev+0x1f)[0x3df402e17f]
/lib64/libQtDBus.so.4[0x3df402b006]
/lib64/libQtCore.so.4(_ZN23QCoreApplicationPrivate16sendPostedEventsEP7QObjectiP11QThreadData+0x1f8)[0x3df6d7d1e8]
/lib64/libQtCore.so.4[0x3df6da7883]
/lib64/libglib-2.0.so.0(g_main_context_dispatch+0x146)[0x3deb847e06]
/lib64/libglib-2.0.so.0[0x3deb848158]
/lib64/libglib-2.0.so.0(g_main_context_iteration+0x2c)[0x3deb8481fc]
/lib64/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x86)[0x3df6da7166]
/lib64/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x2f)[0x3df6d78ecf]
/lib64/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0x175)[0x3df6d791c5]
/lib64/libQtCore.so.4(_ZN7QThread4execEv+0xbf)[0x3df6c7866f]
/lib64/libQtCore.so.4[0x3df6c7ad0f]
/lib64/libpthread.so.0[0x3de9807c53]
/lib64/libc.so.6(clone+0x6d)[0x3de90f5dbd]

Note You need to log in before you can comment on or make changes to this bug.